For the complete documentation index, see llms.txt. This page is also available as Markdown.

Initiate Payout

This endpoint performs the following actions:

  • Validates and resolves the account holder's name for both bank accounts and MTN Mobile Money numbers.

  • Creates and logs the transaction, preparing it

Initiate remittance transaction

Endpoint

POST https://api.xtrakit.com/api/v1/payout/initiates

Headers

Authorization: Bearer API_KEY

Request Body

//sample payout initiation request
{
    "transactionId": "Merchant-Transaction-Id",
    "amount": "10",
    "currency": "GHS",
    "payoutMethodId": "BQXVyDP8MD",
    "description": "Payout description",
    "accountId": "+23354xxxxxxxx",
    "sender": {
        "firstname": "QwikFit",
        "lastname": "22Autos",
        "email": "sender-email", //[email protected]
        "address": "Dome Pillar 2",
        "phone": "+23324xxxxxxxx"
    },
    "beneficiary": {
        "firstname": "Kofi",
        "lastname": "Amartey",
        "phone": "+23354xxxxxx",
        "email": "[email protected]",
        "bankCode": ""
    }
}
Parameters
Type
Description

accountId

string

Required

Bank account or phone number

transactionId

string

Required

Transaction reference generated by remittance business

amount

string

Required

payoutMethodId

string

Required

Payment method from list of payment channels endpoint

description

string

Required

Reason for transaction

currency

string

Required

Currency of remittance transaction

Sample Response

Last updated